<?php
/**
 * Theme options > General Options  > Favicon options
 */

$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Main Color", 'zn_framework' ),
    "description" => __( "Please choose a main color for your site.", 'zn_framework' ),
    "id"          => "zn_main_color",
    "std"         => "#cd2122",
    "type"        => "colorpicker"
);

$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Top Nav default Color", 'zn_framework' ),
    "description" => __( "Please choose a color for the top nav links in header.", 'zn_framework' ),
    "id"          => "zn_top_nav_color",
    "std"         => "",
    "type"        => "colorpicker"
);

$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Top Nav Hover Color", 'zn_framework' ),
    "description" => __( "Please choose a color for the top nav links in header when hovering over them.", 'zn_framework' ),
    "id"          => "zn_top_nav_h_color",
    "std"         => "",
    "type"        => "colorpicker"
);

$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Content background Color", 'zn_framework' ),
    "description" => __( "Please choose a default color for the site's body.", 'zn_framework' ),
    "id"          => "zn_body_def_color",
    "std"         => "",
    "type"        => "colorpicker"
);

// BACKGROUND IMAGE
$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Content Background Image", 'zn_framework' ),
    "description" => __( "Please choose your desired image to be used as as body background", 'zn_framework' ),
    "id"          => "body_back_image",
    "std"         => '',
    "options"     => array ( "repeat" => true, "position" => true, "attachment" => true ),
    "type"        => "background"
);


$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Grey area background Color <strong>( deprecated )</strong>", 'zn_framework' ),
    "description" => __( "Please choose a background color for the grey area.", 'zn_framework' ),
    "id"          => "zn_gr_area_def_color",
    "std"         => "",
    "type"        => "colorpicker"
);

// BACKGROUND IMAGE
$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Grey Area Background Image <strong>( deprecated )</strong>", 'zn_framework' ),
    "description" => __( "Please choose your desired image to be used as as grey area background", 'zn_framework' ),
    "id"          => "gr_arr_back_image",
    "std"         => '',
    "options"     => array ( "repeat" => true, "position" => true, "attachment" => true ),
    "type"        => "background"
);

$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Header Background Color on Mobiles", 'zn_framework' ),
    "description" => __( "This will change the existing <strong>background color</strong> on Mobile devices, more exactly for device width less than 480px.", 'zn_framework' ),
    "id"          => "zn_header_resp_color",
    "std"         => "#2f2f2f",
    "type"        => "colorpicker"
);

$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Header Text Color on Mobiles", 'zn_framework' ),
    "description" => __( "This will change the existing <strong>text color</strong> on Mobile devices, more exactly for device width less than 480px.", 'zn_framework' ),
    "id"          => "zn_header_resp_textcolor",
    "std"         => "#FFF",
    "type"        => "colorpicker"
);

$admin_options[] = array (
    'slug'        => 'color_options',
    'parent'      => 'color_options',
    "name"        => __( "Header Text Hover Color on Mobiles", 'zn_framework' ),
    "description" => __( "This will change the existing text <strong>hover color</strong> on Mobile devices, more exactly for device width less than 480px.", 'zn_framework' ),
    "id"          => "zn_header_resp_textcolor_hov",
    "std"         => "#FFF",
    "type"        => "colorpicker"
);

/*
    Commented as per https://github.com/hogash/kallyas/issues/386
 */
// $admin_options[] = array (
//     'slug'        => 'color_options',
//     'parent'      => 'color_options',
//     "name"        => __( "Color Style", 'zn_framework' ),
//     "description" => __( "Please choose the desired default size for the content.", 'zn_framework' ),
//     "id"          => "zn_main_style",
//     "std"         => "light",
//     "options"     => array (
//         'light' => __( 'Light Style ( default )', 'zn_framework' ),
//         'dark'  => __( 'Dark Style', 'zn_framework' )
//     ),
//     "type"        => "select"
// );
